
From: Tom Rini <trini@kernel.crashing.org>

Replace cli() function call with local_irq_disable() in shutdown code for
MPC8xx platforms.

Signed-off-by: James Nelson <james4765@gmail.com>
Signed-off-by: Tom Rini <trini@kernel.crashing.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ppc/syslib/m8xx_setup.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN arch/ppc/syslib/m8xx_setup.c~ppc32-remove-cli-sti-in-arch-ppc-syslib-m8xx_setupc arch/ppc/syslib/m8xx_setup.c
--- 25/arch/ppc/syslib/m8xx_setup.c~ppc32-remove-cli-sti-in-arch-ppc-syslib-m8xx_setupc	Wed Jan 19 15:40:59 2005
+++ 25-akpm/arch/ppc/syslib/m8xx_setup.c	Wed Jan 19 15:40:59 2005
@@ -238,7 +238,7 @@ m8xx_restart(char *cmd)
 {
 	__volatile__ unsigned char dummy;
 
-	cli();
+	local_irq_disable();
 	((immap_t *)IMAP_ADDR)->im_clkrst.car_plprcr |= 0x00000080;
 
 	/* Clear the ME bit in MSR to cause checkstop on machine check
_
